def _site_packages():
    import site, sys, os
    paths = []
    prefixes = [sys.prefix]
    if sys.exec_prefix != sys.prefix:
        prefixes.append(sys.exec_prefix)
    for prefix in prefixes:
        paths.append(os.path.join(prefix, 'lib', 'python' + sys.version[:3],
            'site-packages'))
    if os.path.join('.framework', '') in os.path.join(sys.prefix, ''):
        home = os.environ.get('HOME')
        if home:
            paths.append(os.path.join(home, 'Library', 'Python',
                sys.version[:3], 'site-packages'))
    for path in paths:
        site.addsitedir(path)
_site_packages()


def _chdir_resource():
    import os
    os.chdir(os.environ['RESOURCEPATH'])
_chdir_resource()


def _path_inject(paths):
    import sys
    sys.path[:0] = paths


_path_inject(['/Users/aurelio/Desktop/PyCon/tutorial-pyobjc/Markup Babel'])


def _run(*scripts):
    global __file__
    import os, sys, site
    import Carbon.File
    sys.frozen = 'macosx_app'
    site.addsitedir(os.environ['RESOURCEPATH'])
    for (script, path) in scripts:
        alias = Carbon.File.Alias(rawdata=script)
        target, wasChanged = alias.ResolveAlias(None)
        if not os.path.exists(path):
            path = target.as_pathname()
        sys.path.append(os.path.dirname(path))
        sys.argv[0] = __file__ = path
        execfile(path, globals(), globals())


try:
    _run(('\x00\x00\x00\x00\x01:\x00\x02\x00\x00\x03mac\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x87\xe6v5H+\x00\x00\x00IDB\x0fMarkup_Babel.py\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00ID\x8b\xc2\xb4_\x99\x00\x00\x00\x00\x00\x00\x00\x00\xff\xff\xff\xff\x00\x00I \x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x10\x00\x08\x00\x00\x87\xe6\xa0e\x00\x00\x00\x11\x00\x08\x00\x00\xc2\xb4\x89\xc9\x00\x00\x00\x0e\x00 \x00\x0f\x00M\x00a\x00r\x00k\x00u\x00p\x00_\x00B\x00a\x00b\x00e\x00l\x00.\x00p\x00y\x00\x0f\x00\x08\x00\x03\x00m\x00a\x00c\x00\x12\x00HUsers/aurelio/Desktop/PyCon/tutorial-pyobjc/Markup Babel/Markup_Babel.py\x00\x13\x00\x01/\x00\x00\x15\x00\x02\x00\x0e\xff\xff\x00\x00', '/Users/aurelio/Desktop/PyCon/tutorial-pyobjc/Markup Babel/Markup_Babel.py'))
except KeyboardInterrupt:
    pass
